<?php 
/* 
 *
 *	Copyright (C) 2001 Udo Held <gamersintern@udoheld.de> 
 * 	
 *	This file is part of Gamers Intern.
 *
 *	Gamers Intern is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 * 	(at your option) any later version.
 *
 *	Gamers Intern is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with Gamers Intern; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
class Warplaner{
	
	
	function add_history(){
		global $Member,$submit;
		$Member->check_auth($this->get_permissionfield());
		echo "<big><big><b>Claninterne History</b></big></big><br>";
		    
		if (!isset($submit)){
			$this->show_historyaddform();
		
		} else {
			$this->insert_history();
		} 
	}
	

	function add_war(){
		global $Member,$submit;
		$Member->check_auth($this->get_permissionfield());
		if (!isset($submit)){
			$this->show_waraddform();       
	      	} else {
			$this->insert_war();
		}
	}
	
	
	function edit_war(){
		global $submit,$Member;    
	    	$Member->check_auth($this->get_permissionfield());
	      	if (!isset($submit)){
			$this->show_editwarform();
		} else {
		   	$this->update_war();
		}
	}
	
	function delete_war(){
		global $Member,$sure,$id,$sqltable_shedule;
		$Member->check_auth($this->get_permissionfield());
		if ($id != ""){
		     	if($sure == "1" OR $GLOBALS[askfordelete] == "0"){
		      		$result = mysql_query("DELETE FROM $sqltable_shedule WHERE (ID = '$id')")  or die(mysql_error());
		
		      		echo "<big><big><b>Claninterne Spiele</b></big></big>";
		      		echo "<p>";
		     		echo "Spiel gelscht";
		      		echo "<p>";
		      		echo "[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
		     	} else {
		     		echo "<big><big><b>Claninterne Spiele</b></big></big>";
		     		echo "<p>";
		     		echo "Soll das Spiel wirklich gelscht werden?<br><br>";
		     		echo "[ <a href=\"$php_self?open=shedule&action=del&id=$id&sure=1\">Ja</a> ] - [ <a href=\"$php_self?open=shedule\">Nein</a> ]";
		     	}
	      	} else {
	        	echo "<big><big><b>Claninterne Spiele</b></big></big>";
	        	echo "<p>";
	        	echo "Spiel nicht gefunden.";
	        	echo "<p>";
	        	if($ref != ""){
	        		echo "[ <a href=\"$php_self?open=$ref\">Zurck</a> ]";
	        	} else {
	        		echo "[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	        	}
	      	}
	}
	
	
	function get_enemyentry($url,$tag,$enemy){
		$enemyentry="";
		if ($tag != '' OR $enemy != ''){
			//Open url
		        if($url != "http://www." AND $url != ""){
		        	$enemyentry.= "<a href=\"$url\" target=\"_BLANK\">";
		        }
				if ($tag != "" AND $enemy != "" ){	
					$enemyentry.= "$tag $enemy";
				} else if ($tag != ''){
			        	$enemyentry.= "$tag";
			        } else {
			        	$enemyentry.= "$enemy";
			        }
			//Close url
		        if($url != "http://www." AND $url != ""){
		        	$enemyentry.= "</a>";
		        }
		 	return $enemyentry;
		 }
	}
	
	
	function get_enemywarplaner($warplaner,$email,$icquin){
		$enemywarplaner="";
		if ($email != '' OR $warplaner OR $icquin){
		        if($warplaner != ''){
		        	if($enemymail != ''){
		            		$enemywarplaner="<a href=\"mailto:$email\">$warplaner</a>";
		            	} else {
		            		$enemywarplaner= $warplaner;
		            	}
		 	}
		        if($icquin != ''){
		        	$enemywarplaner.= " (ICQ#: <a href=\"http://wwp.mirabilis.com/scripts/Search.dll?to=$icquin\">$icquin</a>) <img src=\"http://wwp.icq.com/scripts/online.dll?icq=$icquin&img=5\">";
		        }
		}
		return $enemywarplaner;
	
	}
	
	
	function get_forumresponse($response){
		$entry=split("\|!\|", $response);
		$count = count($entry);
		if ($count != '1'){
			$response = '';
		        $count = $count -1;
		        $x = '0';
		        $y = $count / 2;
		        while ($x < $y){
		        	$z = $x * 2;
		            	$responsename = $entry[$z];
		            	$responsestate = $entry[$z + 1];
		            	if ($responsestate == '1'){
		              		$response = $response."<font color=#009900>".$responsename."</font> ";
		            	} elseif ($responsestate == '2'){
		              		$response = $response."<font color=#990000>".$responsename."</font> ";
		            	} elseif ($responsestate == '3'){
		              		$response = $response."<font color=#000099>".$responsename."</font> ";
		            	}
		            	$x++;
		      	}
		} else {
			$response = 'Keine Reaktionen';
		}
		return $response;	
	}
	
	
	function get_leagueentry($league){
		global $Tool;
		$leagueentry="";
		if($league != ''){
			list ($league,$leaguelink)=$Tool->select_league($league);
			//Open url
			if($leaguelink != ""){
		        	$leagueentry.= "<a href=\"$leaguelink\">";
		        }
		       	$leagueentry.="$league";
		        //Close url
		        if($leaguelink != ""){
		            $leagueentry.= "</a>";
			}
			return $leagueentry;
		}
	}
	
	
	function get_permissionfield(){
		return "RankShedule";
	}	
	
	
	function get_warcomments($forum,$comid,$id){
		global $sqltable_forum;
		if ($forum != ''){
			$query2 = "select * from $sqltable_forum".$forum." where(PID='".$comid."') order by TimeStamp desc";
		        $result2 = mysql_query($query2) or die(mysql_error());
		        $row2 = mysql_fetch_array($result2);
		        $replys = mysql_numrows($result2);
		        $comnum = $replys + 1;
			return "$comnum - [ <a href=\"$php_self?open=forum&action=view&show=$forum&id=$comid\">Kommentare lesen</a> ]";
		} else {
			return "0 - [ <a href=\"$php_self?open=comments&action=add&source=shedule&sourceid=$id\">Kommentar schreiben</a> ]";
		}
	}
	
	
	function insert_history(){
		global $sqltable_shedule,$enemy1,$gametype1,$enemyurl1,$liga1,$server1,$tag1,$nation1,$report1,$heim1,$game1,$gegner1,$text1,$hour,$minute,$second,$month,$day,$year;
		
		$gametype1 = "Clanwar";
		$game1 = "CS";
		
		if($day > 31 OR $day < 1){
		        echo "Tag hat falsches Format!";
		        exit;
		}
		if($month > 12 OR $month < 1){
		        echo "Monat hat falsches Format!";
		        exit;
		 }
		 if($year < 1){
		        echo "Jahr hat falsches Format!";
		        exit;
		 }
		 if($hour > 23 OR $hour < 0){
		        echo "Stunde hat falsches Format!";
		        exit;
		 }
		 if($minute > 59 OR $minute < 0){
		        echo "Minute hat falsches Format!";
		        exit;
		 }
		 if($second > 59 OR $second < 0){
		        echo "Sekunde hat falsches Format!";
		        exit;
		 }
		
		 $timestamp = mktime($hour,$minute,$second,$month,$day,$year);
		
		 $data = "'".$timestamp."','".$enemy1."','".$gametype1."','".$enemyurl."','".$liga1."','".$server1."','".$tag1."','".$nation1."','".$text1."','".$heim1."','".$gegner1."','".$game1."'";
		 $fields = "TimeStamp,Enemy,GameTyp,EnemyUrl,League,Server,tag,nation,report,heim,gegner,Game";
		    
		 $query = "INSERT INTO $sqltable_shedule ($fields) VALUES($data)";
		 $result = MYSQL_QUERY($query) or die(mysql_error());
		
		 echo "<p>";
		 echo "War erfolgreich in History aufgenommen!";
		 echo "<p>";
		 echo "[ <a href=\"$php_self?open=history\">Zurck</a> ]";
	
	}
	
	
	function insert_war(){
	        global $sqltable_shedule,$type1,$dateid,$timeid,$timestamp,$gametype,$game,$enemy,$enemyurl,$liga,$xonx,$maps,$settings,$server,$serverpw,$ciusername,$p_secure,$tag,$nation,$enemymail,$enemywarplaner,$enemyuin; 
	        $timestamp = $dateid + $timeid;
	        if ($type1 == '1'){
		        $gametype = 'Clanwar';
	       	} elseif ($type1 == '2'){
		        $gametype = 'Funwar';
		} elseif ($type1 == '3'){
		        $gametype = 'Training';
		}
		$timestampnow = time();
		
		$data = "'".$timestamp."','".$gametype."','".$game."','".$enemy."','".$enemyurl."','".$liga."','".$xonx."','".$maps."','".$settings."','".$server."','".$serverpw."','".$ciusername."','0','".$timestampnow."','".$p_secure."','".$tag."','".$nation."','".$enemymail."','".$enemywarplaner."','".$enemyuin."'";
		$fields = "TimeStamp,GameTyp,Game,Enemy,EnemyUrl,League,XonX,Maps,Settings,Server,ServerPw,Posted,ComID,LastChange,p_secure,tag,nation,enemymail,enemywarplaner,enemyuin";
		    
		$query = "INSERT INTO $sqltable_shedule ($fields) VALUES($data)";
		$result = MYSQL_QUERY($query) or die(mysql_error());
		
		echo "<big><big><b>Claninterne Spiele</b></big></big><br>";
		echo "<p>";
		echo "Spiel erfolgreich gepostet !";
		echo "<p>";
		echo "[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	}
	
	
	function list_history(){
		global $action;
		$this->view_history_totals();	
		if (!isset($action)){
			$action = "list";
		}
		if ($action == "list"){
			$this->view_history();
		} elseif($action == "view"){
			$this->view_detailed_history();
		}
	}
	
	
	function list_war($row){
		global $cishedule,$Holiday;
		$deleted = '0';
		$comnum = '0';
		$id = $row['ID'];
		$timestamp = $row['TimeStamp'];
		$gametyp = $row['GameTyp'];
		$game = $row['Game'];
		$enemyname = $row['Enemy'];
		$enemyurl = $row['EnemyUrl'];
		$league = $row['League'];
		$xonx = $row['XonX'];
		$maps = $row['Maps'];
		$settings = $row['Settings'];	
		$server = $row['Server'];
		$serverpw = $row['ServerPw'];
		$response = $row['Response'];
		$posted = $row['Posted'];
		$info = $row['Info'];
		$comid = $row['ComID'];
		$heim = $row['heim'];
		$gegner = $row['gegner'];
		$forum = $row['Forum'];
		$lastchange = $row['LastChange'];
		$date = date('l, d.m.Y',$timestamp);
		$time = date('H:i',$timestamp);
		$lastchange = date("d.m. H:i",$lastchange);
		$clantag = $row['tag'];
		$nation = $row['nation'];
		$enemymail = $row['enemymail'];
		$enemywarplaner = $row['enemywarplaner'];
		$enemyuin = $row['enemyuin'];
		
		echo "<table border=0 class=\"bg2\" cellspacing=1 cellpadding=3 width=90%>";
		
		$this->show_wardetail($gametyp,"Art");
		$this->show_wardetail("$date $time","Datum und Uhrzeit");
		$this->show_wardetail($game,"Spiel");
		$this->show_wardetail($this->get_enemyentry($enemyurl,$clantag,$enemyname),"Gegner");
		if((time() > $timestamp) AND ($gametyp != "Training")){
			$this->show_wardetail("<a href=\"$php_self?open=shedule&action=setresult&id=$id\">eintragen</a>","Ergebnis & Report");
		}
		$this->show_wardetail($this->get_leagueentry($league),"Liga");
		$this->show_wardetail("<img src=\"images/flaggen/$nation.gif\">","Nationalitt");
		$this->show_wardetail($this->get_enemywarplaner($enemywarplaner,$enemyemail,$enemyuin),"Warplaner");
		$this->show_wardetail($xonx,"XonX");
		$this->show_wardetail($maps,"Maps");
		$this->show_wardetail($settings,"Settings");
		$this->show_wardetail($server,"Server");
		$this->show_wardetail($serverpw,"Server-PW");
		$this->show_wardetail($this->get_forumresponse($response),"Reaktionen");
		$this->show_wardetail($Holiday->get_pplonholiday($timestamp),"In Urlaub");
		$this->show_wardetail($posted,"Posted by");
		$this->show_wardetail($info,"Infos");
		$this->show_wardetail($this->get_warcomments($forum,$comid,$id),"Kommentare");
		$this->show_wardetail($lastchange,"Letzte nderung");
		$this->show_wardetail("<a href=\"$php_self?open=shedule&action=setmode&id=$id&mode=1\">Kann spielen</a> - <a href=\"$php_self?open=shedule&action=setmode&id=$id&mode=2\">Keine Zeit</a> - <a href=\"$php_self?open=shedule&action=setmode&id=$id&mode=3\">Weiss noch nicht</a>","Status");
		if ($cishedule == '1'){
			$this->show_wardetail("<small>[ <a href=\"$php_self?open=shedule&action=edit&id=$id\">Edit</a> ][ <a href=\"$php_self?open=shedule&action=del&id=$id\">Delete</a> ]</small>","Admin");
		}
		echo "</table>";
		echo "<br>";
	}
	
	
	function list_wars(){
		global $cishedule,$sqltable_shedule,$show,$trial;
		echo "<big><big><b>Claninterne Spiele</b></big></big><br>";
		//Admin can create new entries.
		if ($cishedule == '1'){
		      echo "[ <a href=\"$php_self?open=shedule&action=add\">Neues Spiel eintragen</a> ] [ <a href=\"$php_self?open=shedule&action=addhistory\">War direkt in History eintragen</a> ]";
		}
		echo "<small><center>";
		echo "<br>Setzt bitte fr jedes Spiel euren Status, auch wenn ihr nicht in der Aufstellung steht<br>";
		echo "Farbcodierung: <font color=\"#009900\">Spieler hat Zeit</font> | <font color=\"#990000\">Spieler kann nicht</font> | <font color=\"#000099\">Spieler ist sich noch nicht sicher</font><br>";
		echo "<br>";
		echo "</center></small>";
		echo "<br><br>";
		
		if ($trial=="1"){
			$inserttrial=" AND p_secure!='1' ";
		} else{
			$inserttrial="";
		}
		if (!isset($show)){
			$show='0';
		}
		$limit = '10';
		
		$query = "select * from $sqltable_shedule WHERE heim='' AND gegner=''".$inserttrial." order by timestamp";
		
		$result = mysql_query("select Count(*) as total from $sqltable_shedule WHERE heim='' AND gegner=''".$inserttrial) or die(mysql_error());
		$row=mysql_fetch_Array($result);
		$total=$row['total'];
		if($show=='all'){
		}else {
			$query=$query." limit $show, $limit";
		}
		$result = mysql_query($query) or die(mysql_error());
		
		while ($row = mysql_fetch_array($result)){
			$this->list_war($row);
		}
		$vor = $show + $limit;
		$back = $show - $limit;
		
		if ($back >= 0){
		        echo "[ <a href=\"$php_self?open=shedule&show=$back\">Vorherige Spiele anzeigen</a> ] ";
		}
		if ($total > $limit) {
			echo "[ <a href=\"$php_self?open=shedule&show=all\">Alle Spiele anzeigen</a> ] ";
		}
		if ($vor < $total){
		        echo "[ <a href=\"$php_self?open=shedule&show=$vor\">Nchste Spiele anzeigen</a> ] ";
		}
		
		
	}
	
	
	function manage_wars(){
		global $action,$Output;
		$Output->start_page();
		$Output->start_l1("Warplaner");
		$Output->start_l2();
    		$Output->start_l3();
    		if (!isset($action)) {
    			$action = "list";
		}
		if ($action == "list"){
			$this->list_wars();
		} elseif ($action == "add"){
			$this->add_war();
		} elseif ($action == "addhistory"){
			$this->add_history();
		} elseif ($action == "del"){
			$this->delete_war();
		} elseif ($action == 'edit'){
			$this->edit_war();
		} elseif ($action == 'setmode'){
			$this->set_warstatus();
		} elseif ($action == 'setresult'){
			$this->set_result();
		} else {
      			echo "Ah Ah Ah!<br>action = '$action'";
    		}
    		$Output->stop_l3();
    		$Output->stop_page();
	}
	
	
	function set_result(){
		global $Member,$submit,$heim,$gegner,$Tool,$sqltable_shedule,$text,$id;
		$Member->check_auth($this->get_permissionfield());
        	echo "<big><big><b>Ergebnis und Report</b></big></big>";
        	echo "<p>";
      		if (!isset($submit) OR $submit == ""){
        		echo "<form action=\"$php_self?open=shedule&action=setresult&id=$id\" method=post>";
        		echo "<table border=0 cellspacing=0 cellpadding=0>";
        		echo "<tr>";
        		echo "<td align=right>Ergebnis:</td>";
        		echo "<td><input type=text name=heim value=U size=3 maxlength=3>:<input type=text name=gegner value=NME size=3 maxlength=3></td>";
        		echo "</tr>";
        		echo "<tr>";
        		echo "<td align=right>Report:</td>";
        		echo "<td>";
        		echo "<small>HTML Code <i>on</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Forum Code</a> <i><input type=radio name=fcode value=1 checked>on<input type=radio name=fcode value=0>off</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Smileys</a><i><input type=radio name=smileys value=1 checked>on<input type=radio name=smileys value=0>off</i></small><br>";
        		echo "<textarea rows=10 cols=60 name=text wrap=virtual></textarea></td>";
        		echo "</tr>";
        		echo "<tr>";
        		echo "<td colspan=2 align=center><input type=submit name=submit value=Posten></td>";
        		echo "</tr>";
        		echo "</table>";
        		echo "</form>";
        		echo "<br>[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
      		} else {
        		if ($heim AND $gegner){
        			$Tool->replace_linefeed($text);
        			mysql_query("UPDATE $sqltable_shedule set heim='$heim',gegner='$gegner',report='$text' where(ID='$id')") or die(mysql_error());
	
          			echo "Wardaten erfolgreich gesetzt und in die History aufgenommen!";
          			echo "<p>";
          			echo "[ <a href=\"$php_self?open=history\">Zurck</a> ]";
        		} else {
        			echo "Fehlerhafte Eingabe!";
        			echo "<p>";
        			echo "[ <a href=\"$php_self?open=shedule&action=setresult&id=$id\">Zurck</a> ]";
        		}
      		}
	}
	
	
	function set_warstatus(){
		global $sqltable_shedule,$id,$mode,$ciusername;
	      	$query = "select * from $sqltable_shedule where(ID=".$id.")";
	      	$result = mysql_query($query) or die(mysql_error());
	      	$row = mysql_fetch_array($result);
	      	$response = $row['Response'];
	      
	      	$entry=split("\|!\|", $response);
	      	$count = count($entry);
	      	if ($count != '1'){
	      		$count = $count -1;
	        	$w = '0';
	        	$x = '0';
	        	$y = $count / 2;
	        	while ($x < $y){
	          		$z = $x * 2;
	          		$responsename = $entry[$z];
	          		$responsestate = $entry[$z + 1];
	          		if ($responsename == $ciusername){
	            			$entry[$z + 1] = $mode;
	            			$w = '1';
	          		}
	          		$x++;
	        	}
	        	if ($w == '0'){
	          		$response = $response.$ciusername."\|!\|".$mode."\|!\|";
	        	} elseif ($w == '1'){
	          		$response = join($entry,"\|!\|");
	        	}
	      	} elseif ($count == '1'){
	        	$response = $ciusername."\|!\|".$mode."\|!\|";
	      	}
	      	$result=mysql_query("UPDATE $sqltable_shedule set Response='$response' where ID='$id'") or die(mysql_error());
	      	echo "<big><big><b>Claninterne Spiele</b></big></big>";
	      	echo "<p>";
	      	echo "Status erfolgreich aktualisiert !";
	      	echo "<p>";
	      	echo "[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	}
	
	
	function show_editwarform(){
		global $id,$sqltable_shedule,$ref,$Output,$Smiley,$Tool;
		echo "<big><big><b>Claninterne Spiele</b></big></big><br>";
	        $query = "select * from $sqltable_shedule WHERE (ID = '$id')";
	        $result = mysql_query($query) or die(mysql_error());
	        $number = mysql_numrows($result);
		
	        $comnum = '0';
	        $row = mysql_fetch_array($result);
	        $sec = $row['p_secure'];
	        $id = $row['ID'];
	        $timestamp = $row['TimeStamp'];
	        $gametyp = $row['GameTyp'];
	        $game = $row['Game'];
	        $enemy = $row['Enemy'];
	        $enemyurl = $row['EnemyUrl'];
	        $league = $row['League'];
	        $xonx = $row['XonX'];
	        $maps = $row['Maps'];
	        $settings = $row['Settings'];
	        $heim = $row['heim'];
	        $gegner = $row['gegner'];
	        $server = $row['Server'];
	        $serverpw = $row['ServerPw'];
	        $posted = $row['Posted'];
	        $comid = $row['ComID'];
	        $forum = $row['Forum'];
	        $date = date('l, d.m.',$timestamp);
	        $time = date('H:i',$timestamp);
	        $tag = $row['tag'];
	        $nation = $row['nation'];
	        $text = $row['report'];
	        $enemymail = $row['enemymail'];
	        $enemywarplaner = $row['enemywarplaner'];
	        $enemyuin = $row['enemyuin'];
		
	        if($ref != ""){
		        echo "<form action=\"$php_self?open=shedule&ref=$ref&action=edit\" method=post>";
	        } else {
		        echo "<form action=\"$php_self?open=shedule&action=edit\" method=post>";
	        }
	        echo "<table border=0 class=\"bg2\">";
	        echo "<tr>";
	        echo " <td align=right>Art: </td><input type=hidden name=id value=\"$id\" size=50>";
	        echo " <td><SELECT name=\"gametyp1\">";
	        if($gametyp == "Clanwar"){
		        echo " <OPTION value=\"1\" selected>Clanwar<OPTION value=\"2\">Funwar<OPTION value=\"3\">Training";
	        } elseif($gametyp == "Funwar"){
		        echo " <OPTION value=\"1\">Clanwar<OPTION value=\"2\" selected>Funwar<OPTION value=\"3\">Training";
	        } elseif($gametyp == "Training"){
		        echo " <OPTION value=\"1\">Clanwar<OPTION value=\"2\">Funwar<OPTION value=\"3\" selected>Training";
	        }
	        echo " </SELECT>";
	        echo " </td>";
	        echo "</tr>";
	        echo "<tr><td align=right>Spiel: </td><td><SELECT name=game>";
	        if ($game == "Q3"){
			echo "<OPTION value=\"Q3\" selected>Q3<OPTION value=\"CS\">CS<OPTION value=\"UT\">UT";
	        } elseif ($game == "CS"){
		        echo "<OPTION value=\"Q3\">Q3<OPTION value=\"CS\" selected>CS<OPTION value=\"UT\">UT";
	        } elseif ($game == "UT"){
		        echo "<OPTION value=\"Q3\">Q3<OPTION value=\"CS\">CS<OPTION value=\"UT\" selected>UT";
		}
	        echo "</SELECT></td></tr>";
	        echo "<tr><td align=right>Clan-Tag: </td><td><input type=text name=tag size=10 value=\"$tag\"></td></tr>";
	        echo "<tr><td align=right>Clan-Name: </td><td><input type=text name=enemy value=\"$enemy\" size=50></td></tr>";
	        echo "<tr><td align=right>Gegner HP: </td><td><input type=text name=enemyurl value=\"$enemyurl\" size=50></td></tr>";
	        if (time() > $timestamp AND $gametyp != "Training"){
		
			$Smiley->replace_smileys($text);
			$Tool->replace_ubbcode($text);
		
		        $report = ereg_replace("<br>","\n",$report);
		 
		        echo "<tr><td align=right>Ergebnis: </td><td><input type=text name=heim value=\"$heim\" size=3>:<input type=text name=gegner value=\"$gegner\" size=3></td></tr>";
		        echo "<tr><td align=right>Report:</td><td>";
		        echo "<small>HTML Code <i>on</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Forum Code</a> <i><input type=radio name=fcode value=1 checked>on<input type=radio name=fcode value=0>off</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Smileys</a><i><input type=radio name=smileys value=1 checked>on<input type=radio name=smileys value=0>off</i></small><br>";
		        echo "<textarea rows=10 cols=60 name=text wrap=virtual>$text</textarea></td></tr>";
	       }
	        echo "<tr><td align=right>Warplaner: </td><td><input type=text name=enemywarplaner value=\"$enemywarplaner\" size=50></td></tr>";
	        echo "<tr><td align=right>Warplaner ICQ#: </td><td><input type=text name=enemyuin value=\"$enemyuin\" size=50></td></tr>";
	        echo "<tr><td align=right>Warplaner E-Mail: </td><td><input type=text name=enemymail value=\"$enemymail\" size=50></td></tr>";
		
		
	        echo "<tr><td align=right>Nationalitt: </td><td>";
	        $Output->show_countryselection("nation",$nation);
	        echo "</td></tr>";
	        echo "<tr><td align=right>Liga: </td><td>";
	        $Output->show_leageselection("liga",$league);
	        echo "</td></tr>";
	        echo "<tr><td align=right>XonX: </td><td><input type=text name=xonx value=\"$xonx\" size=50></td></tr>";
	        echo "<tr><td align=right>Maps: </td><td><input type=text name=maps value=\"$maps\" size=50></td></tr>";
	        echo "<tr><td align=right>Settings: </td><td><input type=text name=settings value=\"$settings\" size=50></td></tr>";
	        echo "<tr><td align=right>Server: </td><td><input type=text name=server value=\"$server\" size=50></td></tr>";
	        echo "<tr><td align=right>Server-PW: </td><td><input type=text name=serverpw value=\"$serverpw\" size=50></td></tr>";
	        if($sec == "1") {
		        echo "<tr><td align=right>Secure: </td><td><input type=checkbox value=1 name=\"secure\" checked></td></tr>";
	        } else {
	        echo "<tr><td align=right>Secure: </td><td><input type=checkbox value=1 name=\"secure\"></td></tr>";
	        }        
	        echo "</table>";
	        echo "<center><input type=submit name=submit value=Posten></center>";
	        echo "</form>";
	        if($ref != ""){
		        echo "<br>[ <a href=\"$php_self?open=$ref\">Zurck</a> ]";
	        } else {
		        echo "<br>[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	        }
	}
	
	
	function show_historyaddform(){
		global $Output;
		echo "<form action=\"$php_self?open=shedule&action=addhistory\" method=post>";
		echo "<table border=0 class=\"bg2\">";
		echo "<tr>";
		echo "<td align=right>Datum: </td><td><input type=text size=2 name=day>.<input type=text size=2 name=month>.<input type=text size=4 name=year></td></tr>";
		echo "<tr>";
		echo "<td align=right>Uhrzeit: </td><td><input type=text size=2 name=hour>:<input type=text size=2 name=minute>:<input type=text size=2 name=second>";
		echo "<tr><td align=right>Clan-Tag: </td><td><input type=text name=tag1 size=10></td></tr>";
		echo "<tr><td align=right>Clan-Name: </td><td><input type=text name=enemy1 size=50></td></tr>";
		echo "<tr><td align=right>Gegner HP: </td><td><input type=text name=enemyurl1 size=50 value=\"http://www.\"></td></tr>";
		echo "<tr><td align=right>Nationalitt: </td><td>";
		$Output->show_countryselection("nation1","");
		echo "</td></tr>";
		echo "<tr><td align=right>Liga: </td><td>";
		$Output->show_leageselection("liga1","");
	        echo "</td></tr>";
	        echo "<tr><td align=right>Server: </td><td><input type=text name=server1 size=50></td></tr>";
	        echo "<tr>";
	        echo "<td align=right>Ergebnis:</td>";
	        echo "<td><input type=text name=heim1 value=U size=3 maxlength=3>:<input type=text name=gegner1 value=NME size=3 maxlength=3></td>";
	        echo "</tr>";
	        echo "<tr>";
	        echo "<td align=right>Report:</td>";
	        echo "<td>";
	        echo "<small>HTML Code <i>on</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Forum Code</a> <i><input type=radio name=fcode value=1 checked>on<input type=radio name=fcode value=0>off</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Smileys</a><i><input type=radio name=smileys value=1 checked>on<input type=radio name=smileys value=0>off</i></small><br>";
	        echo "<textarea rows=10 cols=60 name=text1 wrap=virtual></textarea></td>";
	        echo "</tr>";
	        echo "</table>";
	        echo "<center><input type=submit name=submit value=Posten></center>";
	        echo "</form>";
	        echo "<br>[ <a href=\"$php_self?open=history\">Zurck</a> ]";
	}
	
	

	
	
	function show_latest_wars($posts){
		global $sqltable_shedule,$trial;
		if ($trial=="1")
			$query2 = "select * from $sqltable_shedule WHERE p_secure !='1' order by TimeStamp";
		else
			$query2 = "select * from $sqltable_shedule order by TimeStamp";
		$result2 = mysql_query($query2) or die(mysql_error());
		$number2 = mysql_numrows($result2);
		
		$i = '0';
		$finished= "0";
		while ($i < $number2 AND $finished != "$posts"){
		      	$row2 = mysql_fetch_array($result2);
		      	$gametyp = $row2['GameTyp'];
		      	$timestamp = $row2['TimeStamp'];
		      	$gegner = $row2['Enemy'];
		      	if($gegner !="")
		      		$gegnerinfo="gegen $gegner";
		      	else 
		      		$gegnerinfo="";
		      	$date = date("d.m. H:i",$timestamp);
		      	if(time() < $timestamp){
		      		echo "<a class=\"clanwar\" href=\"$php_self?open=shedule\" id=\"sl\"><strong>$gametyp:</strong> $date $gegnerinfo</a><br>";
		      	$finished++;
		      	}
		      	$i++;
		}
	}
	
	
	function show_waraddform(){
		global $Output;
		echo "<big><big><b>Claninterne Spiele</b></big></big><br>";
		echo "<form action=\"$php_self?open=shedule&action=add\" method=post>";
		echo "<table border=0 class=\"bg2\">";
		echo "<tr>";
		echo " <td align=right>Art: </td>";
		echo " <td>";
		echo " <SELECT name=\"type1\">";
		echo " <OPTION value=\"1\">Clanwar";
		echo " <OPTION value=\"2\">Funwar";
		echo " <OPTION value=\"3\">Training";
		echo " </SELECT>";
		echo " </td>";
		echo "</tr>";
		
		echo "<tr>";
		echo "<td align=right>Datum: </td><td><SELECT name=\"dateid\">";
		
		$i = '0';
		
		while ($i < '28'){
			$timestamp = mktime(0,0,0,date('m'),date('d') + $i,date('Y'));
		        $date = date('d.m.',$timestamp);
		        echo "<OPTION value=\"$timestamp\">$date";
		        $i++;
		}
		
		echo "</SELECT></td></tr>";
		
		echo "<tr>";
		echo "<td align=right>Uhrzeit: </td><td><SELECT name=\"timeid\">";
		
		$i = '0';
		

		//Um Zeitverschiebungen auszuschliessen wird mit Timezone die Zeit angepasst.
		//Andernfalls kann ein War im Warplaner schonmal eine Stunde zu frh oder zu spt
		//eingetragen werden.
		while ($i < '48'){
		        $timestamp = $i * 1800;
		        $time = date('H:i',$timestamp - $timezone * 3600);
		        echo "<OPTION value=\"$timestamp\">$time";
		        $i++;
		}
		
		echo "</SELECT></td></tr>";
		echo "<tr><td align=right>Spiel: </td><td><SELECT name=game>";
		echo "<OPTION value=\"Q3\">Q3<OPTION value=\"CS\">CS<OPTION value=\"UT\">UT";
		echo "</SELECT></td></tr>";
		echo "<tr><td align=right>Clan-Tag: </td><td><input type=text name=tag size=10></td></tr>";
	        echo "<tr><td align=right>Clan-Name: </td><td><input type=text name=enemy size=50></td></tr>";
	        echo "<tr><td align=right>Gegner HP: </td><td><input type=text name=enemyurl size=50 value=\"http://www.\"></td></tr>";
	        echo "<tr><td align=right>Warplaner: </td><td><input type=text name=enemywarplaner size=50></td></tr>";
	        echo "<tr><td align=right>Warplaner ICQ#: </td><td><input type=text name=enemyuin size=50></td></tr>";
	        echo "<tr><td align=right>Warplaner E-Mail: </td><td><input type=text name=enemymail size=50></td></tr>";
	        echo "<tr><td align=right>Nationalitt: </td><td>";
		$Output->show_countryselection("nation","");
		echo "</td></tr>";
	        echo "<tr><td align=right>Liga: </td><td>";
	        $Output->show_leageselection("liga","");
	        echo "</td></tr>";
	        echo "<tr><td align=right>XonX: </td><td><input type=text name=xonx size=50></td></tr>";
	        echo "<tr><td align=right>Maps: </td><td><input type=text name=maps size=50></td></tr>";
	        echo "<tr><td align=right>Settings: </td><td><input type=text name=settings size=50 value=\"FF an\"></td></tr>";
	        echo "<tr><td align=right>Server: </td><td><input type=text name=server size=50></td></tr>";
	        echo "<tr><td align=right>Server-PW: </td><td><input type=text name=serverpw size=50></td></tr>";
	        echo "<tr><td align=right>Secure: </td><td><input type=checkbox value=1 name=\"p_secure\"></td></tr>";
	        echo "</table>";
	        echo "<center><input type=submit name=submit value=Posten></center>";
	        echo "</form>";
	        echo "<br>[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	}
    
    
	function show_wardetail($value,$name){
		if ($value != ''){
			echo "<tr>";
		        echo "<td align=right width=150>$name: </td>";
		        echo "<td class=\"bg2\">$value</td>";
		        echo "</tr>";
		}
	}
	
	
	function update_war(){
		global $sqltable_shedule,$heim,$gegner,$id,$text,$tag,$nation,$enemymail,$enemywarplaner,$enemyuin,$dateid,$timeid,$enemy,$enemyurl,$game,$gametyp1,$liga,$xonx,$maps,$settings,$server,$serverpw;

	        if ($gametyp1 == '1'){
	          $gametyp = "Clanwar";
	        } elseif ($gametyp1 == '2'){
	          $gametyp = "Funwar";
	        } elseif ($gametyp1 == '3'){
	          $gametyp = "Training";
	        }
	
	        $result=mysql_query("UPDATE $sqltable_shedule set tag='$tag' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set nation='$nation' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set enemymail='$enemymail' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set enemywarplaner='$enemywarplaner' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set enemyuin='$enemyuin' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set GameTyp='$gametyp' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set Game='$game' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set Enemy='$enemy' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set EnemyUrl='$enemyurl' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set League='$liga' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set XonX='$xonx' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set Maps='$maps' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set Settings='$settings' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set Server='$server' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set ServerPw='$serverpw' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set p_secure='$secure' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set heim='$heim' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set gegner='$gegner' where ID='$id'") or die(mysql_error());
	        $result=mysql_query("UPDATE $sqltable_shedule set report='$text' where ID='$id'") or die(mysql_error());
	
	        echo "<big><big><b>Claninterne Spiele</b></big></big>";
	        echo "<p>";
	        echo "Spiel erfolgreich editiert!";
	        echo "<p>";
	        if($ref != ""){
	        	echo "[ <a href=\"$php_self?open=$ref\">Zurck</a> ]";
	        } else {
	        	echo "[ <a href=\"$php_self?open=shedule\">Zurck</a> ]";
	        }
	}
	
	
	function view_detailed_history(){
  		global $sqltable_shedule,$cishedule,$Tool,$id,$intern;
		$query = "select * from $sqltable_shedule where(ID='$id')";
		$result = mysql_query($query) or die(mysql_error());
		$row = mysql_fetch_array($result);
		$id = $row['ID'];
		
		$timestamp = $row['TimeStamp'];
		$enemyurl = $row['EnemyUrl'];
		$league = $row['League'];
		$heim = $row['heim'];
		$gegner = $row['gegner'];
		$enemy = $row['Enemy'];
		$date = date('l, d.m.Y',$timestamp);
		$time = date('H:i',$timestamp);
		$tag = $row['tag'];
		$server = $row['Server'];
		$report = $row['report'];
		$nation = $row['nation'];
		
		list ($league,$leaguelink)=$Tool->select_league($league);
		
		if($enemyurl != "http://www." AND $enemyurl != ""){
			echo "<font face=\"Verdana\" size=2><b><a href=\"$clanhp\">$clantag</a> vs <a href=\"$enemyurl\">$tag</a></b>";
		} else {
			echo "<font face=\"Verdana\" size=2><b><a href=\"$clanhp\">$clantag</a> vs $tag</b>";
		}
		if($intern== "1" AND $cishedule == "1"){
			echo "<br><small>[ <a href=\"$php_self?open=shedule&action=edit&ref=history&id=$id\">Edit</a> ][ <a href=\"$php_self?open=shedule&action=del&ref=history&id=$id\">Del</a> ]</small>";
		}
		echo "</font><br>";
		echo "<img src=\"images/trennlinie.gif\" width=\"75%\" height=\"20\" border=\"0\">";
		echo "<br>";
		echo "<table  class=\"bg2\" width=80% border=0>";
		echo "<tr>";
		echo "<td align=left width=30% valign=top>Gegner:</td>";
		if($enemyurl != "http://www." AND $enemyurl != ""){
			echo "<td align=left class=\"bg2\"><a href=\"$enemyurl\">$enemy</a> <img src=\"images/flaggen/$nation.gif\"></td>";
		} else {
			echo "<td align=left class=\"bg2\">$enemy <img src=\"images/flaggen/$nation.gif\"></td>";
		}
		echo "</tr>";
		echo "<tr>";
		echo "<td align=left width=30% valign=top>Datum / Zeit:</td>";
		echo "<td align=left class=\"bg2\">$date $time</td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td align=left width=30% valign=top>Liga:</td>";
		echo "<td align=left class=\"bg2\">";
		if($leaguelink != ""){
			echo "<a href=\"$leaguelink\">";
		}
		echo "$league";
		if($leaguelink != ""){
			echo "</a>";
		}
		echo "</td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td align=left width=30%>Endergebnis:</td>";
		if($heim > $gegner){
			echo "<td align=left class=\"bg2\"><font color=\"#009900\">$heim : $gegner - WON</font></td>";
		} elseif($heim == $gegner){
			echo "<td align=left class=\"bg2\"><font color=\"#000099\">$heim : $gegner - DRAW</font></td>";
		} elseif($heim < $gegner){
			echo "<td align=left class=\"bg2\"><font color=\"#990000\">$heim : $gegner - LOST</font></td>";
		}
		echo "</tr>";
		if($server != ""){
			echo "<tr>";
			echo "<td align=left width=30%>Server:</td>";
			echo "<td align=left class=\"bg2\">$server</td>";
			echo "</tr>";
		}
		echo "</table>";
		echo "<br><br>";
		echo "<big><big><b>Report</b></big></big><br><br>";
		echo "<table  class=\"bg1\" width=80% border=0><tr><td align=center>";
		if($report == ""){
			echo "No information available";
		} else {
			echo "$report";
		}
		echo "</td></tr></table>";
		echo "<br><br><br>";
		echo "<font face=\"Verdana\" size=2>[ <a href=\"$php_self?open=history\">Zurck</a> ]</font>";
	}
	
	
	function view_history(){
		global $cishedule,$intern,$sqltable_shedule,$Tool;
		
		echo "<table class=\"bg1\" width=100% border=0>";
		echo "<tr>";
		echo "<td align=center><b>Gegner</b></td>";
		echo "<td align=center><b></b></td>";
		echo "<td align=center><b>Date</b></td>";
		echo "<td align=center><b>League</b></td>";
		echo "<td align=center><b>Score</b></td>";
		echo "<td align=center><b>Win/Draw/Loss</b></td>";
		echo "<td align=center><b>Details</b></td>";
		if($intern == "1" AND $cishedule == "1"){
			echo "<td align=center><b>Admin</b></td>";
		}
		echo "</tr>";
		echo "<tr>";
		if($intern == "1" AND $cishedule == "1"){
			echo "<td colspan=8 align=center><img src=\"images/trennlinie.gif\" width=\"95%\"></td>";
		} else {
			echo "<td colspan=7 align=center><img src=\"images/trennlinie.gif\" width=\"95%\"></td>";
		}
		echo "</tr>";
		
		      $query = "select * from $sqltable_shedule WHERE heim!='' AND gegner !='' order by timestamp desc";
		      
		      $result = mysql_query($query) or die(mysql_error());
		  
		      $won = '0';
		      $draw = '0';
		      $loss = '0';
		
		      while ($row = mysql_fetch_array($result)){
		        $id = $row['ID'];
		        $timestamp = $row['TimeStamp'];
		        $enemyurl = $row['EnemyUrl'];
		        $league = $row['League'];
		        $heim = $row['heim'];
		        $gegner = $row['gegner'];
		        $date = date('l, d.m.Y',$timestamp);
		        $time = date('H:i',$timestamp);
		        $secure = $row['p_secure'];
		        $tag = $row['tag'];
		        $nation = $row['nation'];
		
				echo "<tr>";
				if($enemyurl != "http://www." AND $enemyurl != ""){
					echo "<td align=center><a href=\"$enemyurl\" target=\"_blank\">$tag</a></td>";
				} else {
					echo "<td align=center>$tag</td>";
				}
				echo "<td align=center><img src=\"images/flaggen/$nation.gif\"></td>";	
				echo "<td align=right>$date $time</td>";
				list ($league,$leaguelink)=$Tool->select_league($league);
				
				echo "<td align=center>";
				if($leaguelink != ""){
				echo "<a href=\"$leaguelink\" target=\"_blank\">";
				}
				echo "$league";
				if($leaguelink != ""){
				echo "</a>";
				}
				echo "</td>";
				
				if($heim > $gegner){
					echo "<td align=center><font color=\"#009900\">$heim : $gegner</font></td>";
					echo "<td align=center><font color=\"#009900\">WON</font></td>";
					$won++;
				} elseif($heim == $gegner){
					echo "<td align=center><font color=\"#000099\">$heim : $gegner</font></td>";
					echo "<td align=center><font color=\"#000099\">DRAW</font></td>";
					$draw++;
				} elseif($heim < $gegner){
					echo "<td align=center><font color=\"#990000\">$heim : $gegner</font></td>";
					echo "<td align=center><font color=\"#990000\">LOST</font></td>";
					$loss++;
				}
				
				echo "<td align=center>[ <a href=\"$php_self?open=history&action=view&id=$id\">show</a> ]</td>";
				if($intern == "1" AND $cishedule == "1"){
				echo "<td align=center><small>[ <a href=\"$php_self?open=shedule&action=edit&ref=history&id=$id\">Edit</a> ][ <a href=\"$php_self?open=shedule&action=del&ref=history&id=$id\">Del</a> ]</small></td>";
				}
				echo "</tr>";
			}
		
		echo "</table>";
						
	}
	
	
	function view_history_totals(){
		global $sqltable_shedule;
		echo "<big><big><b>History</b></big></big>";

		$query = "select * from $sqltable_shedule WHERE heim!='' AND gegner !=''";
		$result = mysql_query($query) or die(mysql_error());
		$total = mysql_numrows($result);
		  
		$won = '0';
		$draw = '0';
		$lost = '0';
		
		while ($row = mysql_fetch_array($result)){
			$heim = $row['heim'];
			$gegner = $row['gegner'];
			
			if($heim > $gegner){
				$won++;
			} elseif($heim == $gegner){
				$draw++;
			} elseif($heim < $gegner){
				$lost++;
			}
		}
		
		echo "<br><font face=\"Verdana\" size=2><b>";
		echo "<font color=\"#009900\">WON: $won</font> / <font color=\"#000099\">DRAW: $draw</font> / <font color=\"#990000\">LOST: $lost</font> / <font color=\"#FFFFFF\">ALL: $total</font>";
		echo "</b></font><p>";
	}
	
}
?>