<?
/* 
 *	
 *	Copyright (C) 2001-2002 Udo Held <gamersintern@udoheld.de>
 *	Copyright (C) 2000-2001 Ariane Fugmann 
 *	Copyright (C) 2001 Hanno Heinrichs <webmaster@confusio.de> 
 *      Copyright (C) 2001 Julian Huppertz <eisi@swatsfc.de>
 * 	powered by www.ectona.com
 *	This file is part of Gamers Intern.
 *
 *	Gamers Intern is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 * 	(at your option) any later version.
 *
 *	Gamers Intern is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with Gamers Intern; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

// -- GZip komprimierung falls verfgbar -- //
if (strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip')) {
//  ob_start ("ob_gzhandler");
}

$devfilename="dev1";
$intern="1";
if (file_exists($devfilename)){
	$dev = "1";
}
if (is_writable("config.php") AND $dev != "1"){
	echo "Die Datei config.php muss die Attribute \"schreibgeschtzt\" haben!";
	exit;
} else {
	include("config.php");
	include("classes/classes.php");
}
if (file_exists("install.php") AND $dev != "1"){
	echo "Die Datei install.php muss nach der Installation vom Webserver gelscht werden!";
	exit;
}
if (file_exists("upgrade.php") AND $dev != "1"){
	echo "Die Datei upgrade.php muss nach dem Upgrade vom Webserver gelscht werden!";
	exit;
}


if($GLOBALS[delcookie] == "true"){
	setcookie ("cookiesessionid", $sessionid,1);
	setcookie ("cookiememberid", $memberid,1);
	generate_errorpage("Das Cookie wurde erfolgreich gelscht!");
	exit;
}


$version="v0.20";

//Loading all classes as objects
$Clankasse=new Clankasse;
$Copyright=new Copyright;
$Files=new Files;
$Forum=new Forum;
$Gsms=new Gsms;
$Guestbook=new Guestbook;
$Home=new Home;
$Holiday=new Holiday;
$Login=new Login;
$Member=new Member;
$Newsletter=new Newsletter;
$News=new News;
$Output=new Output;
$Poll=new Poll;
$Smiley=new Smiley;
$Tactics=new Tactics;
$Tool=new Tool;
$Warplaner=new Warplaner;

// --- Diverse Funktionsroutinen ---


  function generate_errorpage($errormsg){
    	echo $errormsg;
    	exit;
  }

  

// --- Diverse Funktionsroutinen ---

// --- Datenbank ffnen ---
  mysql_connect($sqlhostname, $sqlusername, $sqlpassword) OR generate_errorpage("Unable to connect to database");
  mysql_select_db($sqldbname) or generate_errorpage("Unable to select database");
// --- Datenbank ffnen ---

// --- Login prfen ---

$row=$Login->manage_login();

// --- Variablen laden ---
// the data is received from the login-check

  $ciusername = $row['Nick'];
  $cipassword = $row['Password'];
  $ciemail = $row['EMail'];
  $ciid = $row['ID'];
  $cilogin = $row['TimeStamp'];
  $ciloginold = $row['OldTimeStamp'];
  $ciloginnew = $row['NewTimeStamp'];
  $ciforumrg = $row['RankForumRG'];
  $ciforumq3 = $row['RankForumQ3'];
  $ciforumcs = $row['RankForumCS'];
  $ciforumco = $row['RankForumCO'];
  $ciforumla = $row['RankForumLA'];
  $ciforumsp = $row['RankForumSP'];
  $citactics = $row['RankTactics'];
  $cishedule = $row['RankShedule'];
  $ciclankasse = $row['RankClankasse'];
  $cismileys = $row['RankSmileys'];
  $ciholidays = $row['RankHolidays'];
  $cifiles = $row['RankFiles'];
  $cipoll = $row['RankPoll'];
  $ciguestbook = $row['RankGuestbook'];
  $cimembers = $row['RankMembers'];
  $cinews = $row['RankNews'];
  $ciadmin = $row['RankAdmin'];
  $ciposts = $row['Posts'];
  $trial = $row['p_trial'];
  $welcomemsg = $row['welcomemsg'];
// --- Variablen laden ---

if (($cilogin+$defsessiontime)<time()){
	$result=mysql_query("UPDATE $sqltable_members set OldTimeStamp='".$cilogin."' where ID='$ciid'") or die(mysql_error());
	$ciloginold=$cilogin;
}
$result=mysql_query("UPDATE $sqltable_members set TimeStamp='".time()."' where ID='$ciid'") or die(mysql_error());



// --- Session verlngern ---
/*
  $query1 = "select * from $sqltable_members where (ID='$ciid')";
  $result1 = mysql_query($query1) or die(mysql_error());
  $row1= mysql_fetch_array($result1);
  $exptime = $row1['exptime'];

  if($exptime == "0"){
  setcookie ("cookieciuser", $ciusername);
  setcookie ("cookiecipass", $cipassword);
  } elseif($exptime == "") {
  setcookie ("cookieciuser", $ciusername, time() + $GLOBALS[defsessiontime]);
  setcookie ("cookiecipass", $cipassword, time() + $GLOBALS[defsessiontime]);
  } elseif($exptime != "" AND $exptime != "0"){
  setcookie ("cookieciuser", $ciusername, time() + $exptime);
  setcookie ("cookiecipass", $cipassword, time() + $exptime);
  }
*/
// --- Session verlngern ---

#Smiley and UBB code will be replaced in passed texts
if ($smileys=="1"){
	$Smiley->replace_smileys($text);
}
if ($fcode == "1"){
	$Tool->replace_ubbcode($text);
}

// --- Funktionen starten ---
  if (!isset($open)) $open = "home";
 
if($open=="holiday"){
	$Holiday->manage_holidays();
} else if ($open == "home"){
	$Home->check_whatsnew();
} else if ($open == "news"){
	$News->manage_news();
//--------------------------------------------------------------------

} elseif($open == "guestbook"){
$permissionfield = "RankGuestbook";

//--------------------------------------------------------------------

$Output->start_page();
$Output->start_l1("Gstebuch");
$Output->start_l2();
$Output->start_l3();

echo "<big><big><b>Gstebuch</b></big></big>";
echo "<p>";

if (!isset($action)){
$action = "list";
}

if ($action == "list"){

$query = "select * from $sqltable_guestbook order by timestamp desc";
$result = mysql_query($query) or die(mysql_error());
$number = mysql_numrows($result);

$i = "0";
#$h = '1';
  
echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"75%\">";
echo "<tr bgcolor=#141721>";
echo "<td width=150 bgcolor=\"#3C475B\">Author</td><td bgcolor=\"#3C475B\">[ <a href=\"$php_self?open=guestbook&action=add\">Eintragen</a> ]</td>";
echo "</tr>";

      while ($i < $number){
        $row = mysql_fetch_array($result);
        $autor = $row['autor'];
        $www = $row['www'];
        $id = $row['ID'];
        $email = $row['email'];
        $uin = $row['uin'];
        $ip = $row['ip'];
        $timestamp = $row['timestamp'];
        $icon = $row['icon'];
        $title = $row['title'];
        $text = $row['text'];


//Abwechselnde Farben
#        if ($h == '0'){
#          $h = '1';
#          echo "<tr bgcolor=\"#141721\">";
#        } else {
#          $h = '0';
#          echo "<tr bgcolor=\"#333333\">";
#        }

        echo "<tr>";
	echo "<td bgColor=#597291 rowSpan=2 vAlign=top>";
        echo "$autor<br>";
        $date = date("d.m.Y, H:i",$timestamp);
        echo "<small>";
        echo "$date<br>";
        echo "<a href=\"mailto:$email\"><img border=0 src=\"images/gb/mail.gif\"></a> ";
        if($www != ""){
        echo "<a href=\"$www\"><img border=0 src=\"images/gb/www.gif\"></a> ";
        }
        if($uin != ""){
        echo "<a href=\"http://wwp.icq.com/scripts/search.dll?to=$uin\"><img src=\"http://online.mirabilis.com/scripts/online.dll?icq=$uin&img=5\" border=\"0\"></a> ";
        }
        if($ciguestbook == "1"){
        echo "<a href=\"$php_self?open=guestbook&action=edit&id=$id\"><img border=0 src=\"images/gb/edit.gif\"></a>";
	if($showip == "1"){
	echo "<br><a href=\"$php_self?open=guestbook&action=list&showip=0\"><img border=0 src=\"images/gb/ip.gif\"></a> $ip";
	} else {
	echo "<br><a href=\"$php_self?open=guestbook&action=list&showip=1\"><img border=0 src=\"images/gb/ip.gif\">";
	}
	}
	echo "</small>";
	echo "</td><td bgColor=#597291>";
	echo "$icon $title";
	echo "</td><tr>";
	echo "<td bgColor=#4d637d>";
	echo "$text";
	echo "</td>";
	echo "</tr>";
        echo "</tr>";
        $i++;
      }
      echo "</table>";
      echo "</font></center>";


} elseif($action == "add"){

      if (!isset($submit)){
      $query = "select * from $sqltable_members where (ID='$ciid')";
      $result = mysql_query($query) or die(mysql_error());
      $row = mysql_fetch_array($result);
      $name = $row['Nick'];
      $email = $row['EMail'];
      $uin = $row['UIN'];
      $www = $row['homepage'];
        echo "<form action=\"$php_self?open=guestbook&action=add\" method=post>";
        echo "<input type=hidden name=name value=\"$name\">";
        echo "<input type=hidden name=email value=\"$email\">";
        echo "<input type=hidden name=uin value=\"$uin\">";
        echo "<input type=hidden name=www value=\"$www\">";
        echo "<table border=0 bgcolor=#141721>";
        echo "<tr><td align=right>Topic: </td><td><input maxlength=40 type=text name=topic size=30></td></tr>";
        
        // for documentation in smileylisting
        $text = "1";
        
        echo "<tr><td></td><td align=left><small>HTML Code <i>on</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Forum Code</a> <i><input type=radio name=fcode value=1 checked>on<input type=radio name=fcode value=0>off</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Smileys</a><i><input type=radio name=smileys value=1 checked>on<input type=radio name=smileys value=0>off</i></small></td></tr>";
        echo "<tr><td align=right>Inhalt: </td><td><textarea rows=10 cols=60 name=text wrap=virtual accesskey=\"r\"></textarea></td></tr>";
        echo "<tr><td colspan=2 align=center><input type=submit name=submit value=Posten accesskey=\"s\"></td></tr>";
        echo "</table>";
        echo "</form>";
        echo "<br><font face=\"Verdana\" size=2>[ <a href=\"$php_self?open=guestbook&action=list\">Zurck</a> ]</font>";  
      } else {
        if ($name AND $text AND $topic AND $email) {

          $Tool->replace_linefeed($text);
          $timestamp = time();
          $ip = $REMOTE_ADDR;
          if(!strstr($www,"http://") AND $www != ""){
          $www = "http://".$www;
          }
          $data = "'".$www."','".$email."','".$name."','".$uin."','".$ip."','".$timestamp."','".$topic."','".$text."'";
          $fields = "www,email,autor,uin,ip,timestamp,title,text";
          $query = "INSERT INTO $sqltable_guestbook ($fields) VALUES($data)";
          $result = MYSQL_QUERY($query) or die(mysql_error());
          $query = "select * from $sqltable_guestbook order by ID desc";
          $result = mysql_query($query) or die(mysql_error());
          $row = mysql_fetch_array($result);

          echo "<font face=\"Verdana\" size=2>Erfolgreich gepostet!</font>";
          echo "<p>";
            echo "<font face=\"Verdana\" size=2>[ <a href=$php_self?open=guestbook&action=list>Zurck</a> ]</font>";
        } else {
          echo "<font face=\"Verdana\" size=2>Fehlerhafte Eingabe !</font>";
          echo "<p>";
            echo "<font face=\"Verdana\" size=2>[ <a href=\"$php_self?open=guestbook&action=list\">Zurck</a> ]</font>";
        }
      }

//------------------------------------------------------------------------

} elseif($action == "edit"){
$Member->check_auth($permissionfield);
//------------------------------------------------------------------------

if (!isset($submit)){

$query = "select * from $sqltable_guestbook where (ID='$id')";
$result = mysql_query($query) or die(mysql_error());
$row = mysql_fetch_array($result);

$autor = $row['autor'];
$www = $row['www'];
$id = $row['ID'];
$email = $row['email'];
$uin = $row['uin'];
$ip = $row['ip'];
$timestamp = $row['timestamp'];
$title = $row['title'];
$text = $row['text'];

$Smiley->replace_smileys($text);
$Tool->replace_ubbcode($text);

$text = ereg_replace("<br>","\n",$text);

        echo "<form action=\"$php_self?open=guestbook&action=edit&id=$id\" method=post>";
        echo "<table border=0 bgcolor=#141721>";
        echo "<tr><td align=right>Nickname: </td><td><input maxlength=40 type=text name=name value=\"$autor\" size=30></td></tr>";
        echo "<tr><td align=right>Topic: </td><td><input maxlength=40 type=text name=topic size=30 value=\"$title\"></td></tr>";
        echo "<tr><td align=right>Homepage: </td><td><input maxlength=40 type=text name=www size=30 value=\"$www\"></td></tr>";
        echo "<tr><td align=right>E-Mail: </td><td><input maxlength=40 type=text name=email size=30 value=\"$email\"></td></tr>";
        echo "<tr><td align=right>ICQ#: </td><td><input maxlength=40 type=text name=uin size=30 value=\"$uin\"></td></tr>";
        echo "<tr><td align=right>IP: </td><td><input maxlength=40 type=text name=ip size=30 value=\"$ip\"></td></tr>";
        
        // for documentation in smileylisting
        $text = "1";
        
        echo "<tr><td align=right>Inhalt: </td><td><small>HTML Code <i>on</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Forum Code</a> <i><input type=radio name=fcode value=1 checked>on<input type=radio name=fcode value=0>off</i>, <a href=\"$php_self?open=forum&action=code\" target=\"_NEW\">Smileys</a><i><input type=radio name=smileys value=1 checked>on<input type=radio name=smileys value=0>off</i></small><br>";
        echo "<textarea rows=10 cols=60 name=text wrap=virtual accesskey=\"r\">$text</textarea></td></tr>";
        echo "<tr><td colspan=2 align=center>[ <a href=\"$php_self?open=guestbook&action=del&id=$id\">Eintrag lschen</a> ]</td></tr>";
        echo "<tr><td colspan=2 align=center><input type=submit name=submit value=Posten accesskey=\"s\"></td></tr>";
        echo "</table>";
        echo "</form>";
        echo "<br><font face=\"Verdana\" size=2>[ <a href=\"$php_self?open=guestbook&action=list\">Zurck</a> ]</font>";
      } else {
        if ($name AND $text AND $topic AND $email){

          $Tool->replace_linefeed($text);
          if(!strstr($www,"http://")){
          $www = "http://".$www;
          }
          mysql_query("UPDATE $sqltable_guestbook set text='$text',title='$topic',ip='$ip',uin='$uin',autor='$name',email='$email',www='$www' where ID='$id'");

          echo "<font face=\"Verdana\" size=2>Eintrag erfolgreich gendert!</font>";
          echo "<p>";
            echo "<font face=\"Verdana\" size=2>[ <a href=$php_self?open=guestbook&action=list>Zurck</a> ]</font>";
        } else {
          echo "<font face=\"Verdana\" size=2>Fehlerhafte Eingabe !</font>";
          echo "<p>";
            echo "<font face=\"Verdana\" size=2>[ <a href=\"$php_self?open=guestbook&action=list\">Zurck</a> ]</font>";
        }
      }

} elseif($action == "del"){
$Member->check_auth($permissionfield);
if($sure == "1" OR $GLOBALS[askfordelete] == "0"){
mysql_query("DELETE FROM $sqltable_guestbook where (ID='$id')") or die(mysql_error());
echo "<font face=\"Verdana\" size=2>";
echo "Eintrag gelscht";
echo "<p>";
echo "[ <a href=\"$php_self?open=guestbook\">Zurck</a> ]";
echo "</font>";
} else {
echo "<p>";
echo "Soll der Eintrag wirklich gelscht werden?<br><br>";
echo "[ <a href=\"$php_self?open=guestbook&action=del&id=$id&sure=1\">Ja</a> ] - [ <a href=\"$php_self?open=guestbook\">Nein</a> ]";
}

} // action

$Output->stop_l3();
$Output->stop_page();

//--------------------------------------------------------------------

} elseif($open == "serverquery"){

//--------------------------------------------------------------------

$Output->start_page();
$Output->start_l1("HL Server Status");
$Output->start_l2();
$Output->start_l3();
echo "<big><big><b>HL Server Status</b></big></big><br><br>";

//--------------------------------------------------------------------

function fragsort ($a, $b) {
	if ($a["frags"] == $b["frags"]) return 0;
	if ($a["frags"] > $b["frags"]) {
		return -1;
	} else {
		return 1;
	}
}

//--------------------------------------------------------------------

if(!isset($action)){
$action = "view";
}

//--------------------------------------------------------------------

if($action == "view"){

//--------------------------------------------------------------------

if(!isset($show) OR $show == ""){
$show = "short";
}

$csinfo = new Hl_Server_Query;
$status = $csinfo->getServerInfo($serveradr,$serverport,1000);
$servername = $csinfo->m_servervars["servername"];
$serverip = $csinfo->m_servervars["serveraddress"];
$currentplayers = $csinfo->m_servervars["currentplayers"];
$maxplayers = $csinfo->m_servervars["maxplayers"];
$mapname = $csinfo->m_servervars["mapname"];

if ($status){
global $mapcyclefile;

if(file_exists($mapcyclefile)){
$fp = fopen($mapcyclefile,"r");
$mapcycle = fread($fp,filesize($mapcyclefile));
fclose($fp);
$map = explode("|",$mapcycle);
$mapcount = count($map);
$i = "0";
}

echo "<TABLE>";
echo "<TR>";
echo "<TD>Servername: </TD><TD>$servername</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD>Serverip: </TD><TD>$serverip</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD>Spieler: </TD><TD>$currentplayers von $maxplayers</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD>Map: </TD><TD>$mapname</TD>";
echo "</TR>";

if(file_exists($mapcyclefile)){
echo "<TR>";
echo "<TD>Coming up next: </TD><TD>";

if(!strstr($mapcycle,$mapname)){
echo "<font color=\"#990000\">";
echo "$mapname nicht in $mapcyclefile gefunden!<br>";
echo "Nchste map konnte nicht bestimmt werden!";
echo "</font>";
} else {

while($i < $mapcount){

if($i+1 == $mapcount){
$z = "0";
} else {
$z = $i;
}
if($mapname == $map[$i-1]){
echo "$map[$z]<br>";
}

$i++;
}

} // test ob mapname im cycle ist

echo "</TD>";
echo "</TR>";
}
echo "</TABLE>";
echo "<br>[ <a href=\"$php_self?open=serverquery&action=view&show=players\">Players</a> ] [ <a href=\"$php_self?open=serverquery&action=view&show=short\">Short-Info</a> ] [ <a href=\"$php_self?open=serverquery&action=view&show=rules\">Rules</a> ]<br>";
echo "[ <a href=\"$php_self?open=serverquery&action=view&show=$show\">Refresh</a> ]";
echo "<br><br>";
echo "<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=1 BORDERCOLOR=\"#808080\"  bordercolorlight=\"#C0C0C0\">";
echo "<TR>";

if(file_exists("$imagedir$mapname$mapext"))
{
echo "<TD><IMG SRC=\"$imagedir$mapname$mapext\" width=\"218\" height=\"163\" ALT=\"$mapname\"></TD>";
}
else
{
echo "<TD><IMG SRC=\"$imagedir$nopicture\" width=\"218\" height=\"163\" ALT=\"$mapname\"></TD>";
}
echo "</TR>";
echo "</TABLE>";

//--------------------------------------------------------------------

if($show == "players"){

//--------------------------------------------------------------------

$csinfo=new Hl_Server_Query;
$status=$csinfo->getServerPlayers($serveradr,$serverport,1000);

echo "<br>";
echo "<TABLE>";
echo "<TR>";
echo "<TD WIDTH=150><small><STRONG>Name</STRONG></small></TD><TD><small><STRONG>Frags</STRONG></small></TD><TD><small><STRONG>Time</STRONG></small></TD>";
echo "</TR>";
echo "<TR>";
echo "<TD COLSPAN=3><HR></TD>";
echo "</TR>";

if (is_array($csinfo->m_playerinfo)){
while (list(,$player) = each ($csinfo->m_playerinfo)){
$name = $player["name"];
$frags = $player["frags"];
$time = $player["time"];

echo "<TR>";
echo "<TD><small>$name</small></TD><TD><small>$frags</small></TD><TD><small>$time</small></TD>";
echo "</TR>";
}

} else {
echo "<TR>";
echo "<TD COLSPAN=3 align=center>(no players)</TD>";
echo "</TR>";
}

echo "<TR>";
echo "<TD COLSPAN=3><HR></TD>";
echo "</TR>";
echo "</TABLE>";

//--------------------------------------------------------------------

} elseif($show == "rules"){

//--------------------------------------------------------------------

$csinfo=new Hl_Server_Query;
$status=$csinfo->getServerRules($serveradr,$serverport,1000);

echo "<br>";
echo "<TABLE>";
echo "<TR>";
echo "<TD COLSPAN=4><HR></TD>";
echo "</TR>";
echo "<TR>";

$counter=0;

while (list($name,$value) = each ($csinfo->m_serverrules)){
// ----------------------------------------------------------------------------------

if($name == "mp_mapvoteratio"){
$value = $value * 100;
$value = $value . " %";
}

/*

if($name == "sv_allowupload" AND $value == "1"){
$value = "<font color=\"#009900\">&#149;</font>";
} elseif($name == "sv_allowupload" AND $value == "0"){
$value = "<font color=\"#303030\">&#149;</font>";
}

if($name == "mp_mapvoteratio"){
$value = $value * 100;
$value = $value . " %";
}

if($name == "mp_mapvoteratio"){
$value = $value * 100;
$value = $value . " %";
}

if($name == "mp_mapvoteratio"){
$value = $value * 100;
$value = $value . " %";
}

*/

// ----------------------------------------------------------------------------------
echo "<TD><small>$name</small></TD><TD><small>= $value</small></TD>";
$counter++;
if (($counter % 2) == "0"){
echo "</TR><TR>";
}
} // while

if (($counter % 2) != "0"){
echo "<TD></TD></TR>";
}

echo "<TR>";
echo "<TD COLSPAN=4><HR></TD>";
echo "</TR>";
echo "</TABLE>";

//--------------------------------------------------------------------

} elseif($show == "short"){

//--------------------------------------------------------------------

// shortinfo

//--------------------------------------------------------------------

} // ende $show

//--------------------------------------------------------------------

} else {

echo "Error communicating with server";
}

//--------------------------------------------------------------------

} else {
echo "Ah Ah Ah!<br>action = $action";
}

//--------------------------------------------------------------------

$Output->stop_l3();
$Output->stop_page();

//--------------------------------------------------------------------

} elseif($open == "history"){

	$Output->start_page();
	$Output->start_l1("History");
	$Output->start_l2();
	$Output->start_l3();

	$Warplaner->list_history();

	$Output->stop_l3();
	$Output->stop_page();

// --- Open - Shedule ---
  } elseif ($open == "shedule"){
	$Warplaner->manage_wars();  
//Poll
  } elseif ($open == "poll"){
	$Poll->manage_polls();
  } elseif ($open == "forum"){
	$Forum->manage_forums();
  } elseif ($open == "tactics"){
	$Tactics->manage_tactics();
  } elseif ($open == "files"){
	$Files->manage_files();
  } elseif ($open == "members"){
     $Member->manage_members();
  } elseif ($open == "gsms"){
	$Gsms->manage_gsms();
  } elseif ($open == "server"){
    $Output->start_page();
    $Output->start_l1("Server");
    $Output->start_l2();
    $Output->start_l3();
    if(file_exists($GLOBALS[serverpage])){
    include($GLOBALS[serverpage]);
    }
    $Output->stop_l3();
    $Output->stop_page();
  } elseif ($open == "trains"){
    $Output->start_page();
    $Output->start_l1("Trains");
    $Output->start_l2();
    $Output->start_l3();
    if(file_exists($GLOBALS[trainspage])){
    include($GLOBALS[trainspage]);
    }
    $Output->stop_l3();
    $Output->stop_page();
  } elseif ($open == "clankasse"){
	$Clankasse->manage_clankasse($id,$betrag,$zweck,$art,$save);
  } elseif ($open == "smileys"){
	$Smiley->manage_smileys($id,$code,$filename,$description);
  } elseif ($open == "rules"){
    $Output->start_page();
    $Output->start_l1("Rules");
    $Output->start_l2();
    $Output->start_l3();
    if(file_exists($GLOBALS[rulespage])){
    include($GLOBALS[rulespage]);
    }
    $Output->stop_l3();
    $Output->stop_page();
  } elseif ($open == "prefs"){
    $Output->start_page();
    $Output->start_l1("Prefs");
    $Output->start_l2();
    $Output->start_l3();

    if($action == ""){
    $action = "list";
    }
    if($action == "list"){
    echo "<big><big><b>Claninterne Einstellungen</b></big></big><br>";
    echo "[ <a href=\"$php_self?open=members&action=edit&id=$ciid\">Eigene Userdetails ndern</a> ]<br>";
    echo "[ <a href=\"$php_self?delcookie=true\">Auto-Login Cookie lschen</a> ]";
    }
    $Output->stop_l3();
    $Output->stop_page();
  } elseif ($open == "copyright"){
	$Copyright->show_copyright();
  } elseif ($open == "comments"){
    $Output->start_page();
    $Output->start_l1("Forum");
    $Output->start_l2();
    $Output->start_l3();

    echo "<big><big><b>Claninternes Forum</b></big></big>";
    echo "<br>Forum whlen<p>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=rg&source=$source&sourceid=$sourceid\">Haupt-Forum</a> ]<br>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=q3&source=$source&sourceid=$sourceid\">Taktik-Forum</a> ]<br>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=cs&source=$source&sourceid=$sourceid\">Train/War-Forum</a> ]<br>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=co&source=$source&sourceid=$sourceid\">Extern-Forum</a> ]<br>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=la&source=$source&sourceid=$sourceid\">Trial-Forum</a> ]<br>";
    echo "[ <a href=\"$php_self?open=forum&action=add&show=sp&source=$source&sourceid=$sourceid\">Admin-Forum</a> ]";
      
    $Output->stop_l3();
    $Output->stop_page();
  } else {
    $Output->start_page();
    $Output->start_l1("Error");
    $Output->start_l2();
    $Output->start_l3();
    echo "<center>Ah Ah Ah!<br>Open = '$open'";
    $Output->stop_l3();
    $Output->stop_page();  
  }
// --- Funktionen starten ---

?>
